API y desarrolladores

Add media to variant

post/v1/products/{product_id}/variants/{variant_id}/media

Add media (image, video, etc.) to a product variant.

Ejemplo

curl -X POST "https://api.ya.onl/v1/products/{product_id}/variants/{variant_id}/media" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{"url":"…"}'

Parámetros

product_idintegerpathrequerido

Product identifier

variant_idintegerpathrequerido

Variant identifier

Cuerpo de la petición

titlestring | null

Media title or alt text

urlstringrequerido

Public URL of the media file

Respuestas

201
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Variant not found
422
Validation Error
429
Rate limit exceeded
¿Necesitas ayuda?